Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader
Class Controller

    java.lang.Object
      com.sun.msv.reader.Controller

All Implemented Interfaces:
  org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, GrammarReaderController

public class Controller
extends java.lang.Object
implements GrammarReaderController, org.xml.sax.ErrorHandler

Internal view of GrammarReaderController. This class wraps a GrammarReaderController and adds several convenient methods for the caller.

Constructor Summary
`Controller(GrammarReaderController _core)`

Method Summary
`void` | `error(java.io.IOException e, org.xml.sax.Locator source)`
`void` | `error(org.xml.sax.Locator[] locs, java.lang.String errorMessage, java.lang.Exception nestedException)`
`void` | `error(javax.xml.parsers.ParserConfigurationException e, org.xml.sax.Locator source)`
`void` | `error(org.xml.sax.SAXException e, org.xml.sax.Locator source)`
`void` | `error(org.xml.sax.SAXParseException spe)`
`void` | `error(java.lang.String errorMessage, java.lang.Exception nestedException)`
`void` | `fatalError(org.xml.sax.SAXParseException spe)`
`GrammarReaderController` | `getCore()`
`boolean` | `hadError()` Returns true if an error had been reported.
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String p, java.lang.String s)`
`void` | `setErrorFlag()` Force set the error flag to true.
`void` | `warning(org.xml.sax.Locator[] locs, java.lang.String errorMessage)`
`void` | `warning(org.xml.sax.SAXParseException spe)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Controller

    public Controller(GrammarReaderController _core)

Method Detail

### getCore

    public GrammarReaderController getCore()

### hadError

    public boolean hadError()

  Returns true if an error had been reported.

### setErrorFlag

    public final void setErrorFlag()

  Force set the error flag to true.

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String p,
                                                 java.lang.String s)
                                          throws org.xml.sax.SAXException,
                                                 java.io.IOException

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### warning

    public void warning(org.xml.sax.Locator[] locs,
                        java.lang.String errorMessage)

  Specified by:
    `warning` in interface `GrammarReaderController`

### error

    public void error(org.xml.sax.Locator[] locs,
                      java.lang.String errorMessage,
                      java.lang.Exception nestedException)

  Specified by:
    `error` in interface `GrammarReaderController`

### error

    public void error(java.lang.String errorMessage,
                      java.lang.Exception nestedException)

### fatalError

    public void fatalError(org.xml.sax.SAXParseException spe)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(org.xml.sax.SAXParseException spe)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException spe)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(java.io.IOException e,
                      org.xml.sax.Locator source)

### error

    public void error(org.xml.sax.SAXException e,
                      org.xml.sax.Locator source)

### error

    public void error(javax.xml.parsers.ParserConfigurationException e,
                      org.xml.sax.Locator source)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD